Create a new prompt

Create a new prompt for a brand. This will automatically schedule the prompt for execution.

POST
/prompts

Create a new prompt for a brand. This will automatically schedule the prompt for execution.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer API token for access

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

brandId*string

Brand identifier this prompt belongs to

value*string

The prompt text

Length1 <= length
tags?array<string>

User-defined tags for categorizing this prompt

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/prompts" \  -H "Content-Type: application/json" \  -d '{    "brandId": "string",    "value": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "brandId": "string",  "value": "string",  "enabled": true,  "tags": [    "string"  ],  "systemTags": [    "string"  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}